<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8" />
<title>購物車</title>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
	<link rel="stylesheet" href="/css/button.css" th:href="@{/css/button.css}" />	
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.0/jquery.min.js"></script>
<script
	src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<body>
	<br/><br/><br/><br/>
	<div class="container" style="text-align: center">
	購物者 <span th:text="${session.loginId}">login id</span>
	<a href="stockRetrieveAll"><input type="button"
		value="繼續購物" class="gblue" /></a>
	<a href="cleanShoppingCart"><input type="button"
		value="清除購物車" class="gblue" /></a>
		<form action="stockRetrieveByCategory" method="post">
			類型:<select name="stockCategory" th:field="${stockCategory.id}">
				<option th:each="stockCategory : ${allStockCategories}"
					th:value="${stockCategory.id}" th:text="${stockCategory.name}">商業</option>
			</select>
			<div class="btn-group">
				<input type="submit" value="確認" class="blue" /> <a
					href="stockRetrieveAll"><input type="button"
					value="顯示所有購買的場次" class="blue" /></a>
			</div>
		</form>
		<table class="table table-bordered table-striped">
			<tr>
				<th>海報</th>
				<th>演出名稱</th>
				<th>演出類型</th>
				<th>演出時間</th>
				<th>演出地點</th>
				<th>演出者</th>
				<th>主辦單位</th>
				<th>定價</th>
				<th>座位號</th>
				<th></th>
			</tr>
			<tr th:each="ticket : ${tickets} " th:object="${ticket}">
				<td><img th:src="*{sId.sId.photo}" width="200px"/></td>
				<td><span th:text="*{sId.sId.name}">PC</span></td>
				<td><span th:text="*{sId.sId.stockCategory.name}">PC</span></td>
				<td><span th:text="*{sId.time}">100</span></td>
				<td><span th:text="*{sId.sId.place}">56</span></td>
				<td><span th:text="*{sId.sId.performers}">20</span></td>
				<td><span th:text="*{sId.sId.stockHost.host_name}">20</span></td>
				<td><span th:text="*{price}">20</span></td>
				<td><span th:text="*{seat_num}">20</span></td>
				<td><a th:href="@{shoppingCartDelete(id=*{id})}">Delete<span
						class="glyphicon glyphicon-search"></span></a></td>
			</tr>
		</table>
		<a th:href="@{confirmOrders(session=${session})}">確認訂單<span
						class="glyphicon glyphicon-search"></span></a>
	</div>
</body>
</html>